跳转到内容

Sonilo V1.1

集成

模型 id sonilo/v1.1/video-to-music
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sonilo/v1.1/video-to-music?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.09 90 API 积分 · ≈ ₽9.67 运行前会测量你的文件 在此页面运行

获取 API 密钥
Sonilo · 音频

你的第一个结果会显示在这里

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存,也可免费保存 7 天。

构建请求

控件根据模型架构生成。修改控件时,代码和价格会同步更新。

音乐风格指导,可选地替代从视频自动推导的提示词。

•必填 video_url
拖放文件,或

用于接收配乐的视频的公开可访问 HTTP 或 HTTPS URL。

默认 1

为视频生成的独立音乐轨道数量。

可选的片段长度,以秒为单位;默认值为 None,表示评分持续到视频结束。如果提供了 Start Offset,评分从该位置开始,否则从开头开始,因此 None 会涵盖剩余部分或整个视频。提供的时长会限制从相同起始位置开始的评分长度。

高级 prompt_influence · start_offset
默认 0.5

提示词遵循强度;提高该值可使结果更贴合文本指令。

可选的评分偏移量,以视频中的秒数计;从该位置开始的部分必须包含在视频内,因此 Start Offset 加上 Duration 不能超过 Video Duration。

POST /run/sonilo/v1.1/video-to-music?wait=20 报价 → $0.09
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/sonilo/v1.1/video-to-music?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Sonilo V1.1

分析 `video_url` 中的视频,并生成匹配的音乐作为独立音轨。`prompt` 可通过 `prompt_influence`(0 到 1)引导风格;未提供时,会从视频生成提示词。`start_offset` 和 `duration`(最多 600 秒)可仅对某个片段进行评分,`num_samples` 返回 1 到 3 条音轨。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
video_url必填 video
类型url · video
用于接收配乐的视频的公开可访问 HTTP 或 HTTPS URL。
num_samples可选
类型integer
默认值1
1 – 3
为视频生成的独立音乐轨道数量。
prompt可选
类型string | null
音乐风格指导,可选地替代从视频自动推导的提示词。
prompt_influence可选
类型number
默认值0.5
0 – 1
提示词遵循强度;提高该值可使结果更贴合文本指令。
start_offset可选
类型number | null
0 – 600
可选的评分偏移量,以视频中的秒数计;从该位置开始的部分必须包含在视频内,因此 Start Offset 加上 Duration 不能超过 Video Duration。
duration可选
类型number | null
1 – 600
可选的片段长度,以秒为单位;默认值为 None,表示评分持续到视频结束。如果提供了 Start Offset,评分从该位置开始,否则从开头开始,因此 None 会涵盖剩余部分或整个视频。提供的时长会限制从相同起始位置开始的评分长度。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sonilo/v1.1/video-to-music",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 90,
    "usd": "0.09",
    "charged": 90,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "audios": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
        "content_type": "audio/mpeg",
        "file_name": "0-output.mp3",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
文件由你选择每个 outputs[].url 都是我们存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
所有模型的结构一致图像、视频和音频的字段均为 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
audio
object {url, content_type, file_name, file_size}生成的第一条音乐音轨,用于快速播放或预览。
audios
array of object {url, content_type, file_name, file_size}以 AAC/m4a 格式生成的完整音乐音轨集合,每个样本对应一条音轨。

更多模型:视频转音频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh-CN/developers/models/sonilo/v1.1/video-to-music.md. 所有模型和指南: https://doitong.com/developers/llms.txt